> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Auth service accounts

> Auth service accounts エンドポイントの生成済みリファレンスです。

# Auth service accounts

Auth service accounts エンドポイントの生成済みリファレンスです。

この生成済みページは、Auth service accounts カテゴリのすべての Public API 操作をまとめています。

## エンドポイント

* [GET /v1/public/accounts/\{account\_id}/auth/service-accounts](/ja/api/v1/public/accounts/account_id/auth/service-accounts/get) - パブリックアカウントのサービスアカウントを一覧表示
* [POST /v1/public/accounts/\{account\_id}/auth/service-accounts](/ja/api/v1/public/accounts/account_id/auth/service-accounts/post) - パブリックアカウントのサービスアカウントを作成
* [POST /v1/public/accounts/\{account\_id}/auth/service-accounts/\{service\_account\_id}/rotate](/ja/api/v1/public/accounts/account_id/auth/service-accounts/service_account_id/rotate/post) - パブリックアカウントのサービスアカウントトークンをローテーション
* [DELETE /v1/public/accounts/\{account\_id}/auth/service-accounts/\{service\_account\_id}](/ja/api/v1/public/accounts/account_id/auth/service-accounts/service_account_id/delete) - パブリックアカウントのサービスアカウントを取り消す

## パブリックアカウントのサービスアカウントを一覧表示

**GET** `/v1/public/accounts/{account_id}/auth/service-accounts`

パブリックアカウントのサービスアカウントを一覧表示

アカウントのサービスアカウントを一覧表示します。

完全なリファレンス: [GET /v1/public/accounts/\{account\_id}/auth/service-accounts](/ja/api/v1/public/accounts/account_id/auth/service-accounts/get)

<Note>
  OpenAPI リファレンス: `/openapi.ja.json GET /v1/public/accounts/{account_id}/auth/service-accounts`
</Note>

## パブリックアカウントのサービスアカウントを作成

**POST** `/v1/public/accounts/{account_id}/auth/service-accounts`

パブリックアカウントのサービスアカウントを作成

サービスアカウントを作成し、そのトークンを一度だけ表示します。

完全なリファレンス: [POST /v1/public/accounts/\{account\_id}/auth/service-accounts](/ja/api/v1/public/accounts/account_id/auth/service-accounts/post)

<Note>
  OpenAPI リファレンス: `/openapi.ja.json POST /v1/public/accounts/{account_id}/auth/service-accounts`
</Note>

## パブリックアカウントのサービスアカウントトークンをローテーション

**POST** `/v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}/rotate`

パブリックアカウントのサービスアカウントトークンをローテーション

サービスアカウントトークンをローテーションし、置き換え用トークンを一度だけ表示します。

完全なリファレンス: [POST /v1/public/accounts/\{account\_id}/auth/service-accounts/\{service\_account\_id}/rotate](/ja/api/v1/public/accounts/account_id/auth/service-accounts/service_account_id/rotate/post)

<Note>
  OpenAPI リファレンス: `/openapi.ja.json POST /v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}/rotate`
</Note>

## パブリックアカウントのサービスアカウントを取り消す

**DELETE** `/v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}`

パブリックアカウントのサービスアカウントを取り消す

サービスアカウントとその有効なトークンを取り消します。

完全なリファレンス: [DELETE /v1/public/accounts/\{account\_id}/auth/service-accounts/\{service\_account\_id}](/ja/api/v1/public/accounts/account_id/auth/service-accounts/service_account_id/delete)

<Note>
  OpenAPI リファレンス: `/openapi.ja.json DELETE /v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}`
</Note>

<script src="/locale-bridge.js" />
